import Request from '@/utils/request/request-util';

/**
 * 门户后台管理 - 应用链接分类api
 *
 */
export class AppTypeApi {
    /**
     * 获取应用链接的分类列表
     * @param {*} params
     */
    static list(params) {
        return Request.get('/portalAppLinkCategory/list', params);
    }

    /**
     * 添加
     * @param {*} params
     */
    static add(params) {
        return Request.post('/portalAppLinkCategory/add', params);
    }
    /**
     * 编辑
     * @param {*} params
     */
    static edit(params) {
        return Request.post('/portalAppLinkCategory/edit', params);
    }
    /**
     * 删除单个
     * @param {*} params
     */
    static delete(params) {
        return Request.post('/portalAppLinkCategory/delete', params);
    }
    /**
     * 删除多个
     * @param {*} params
     */
    static batchDelete(params) {
        return Request.post('/portalAppLinkCategory/batchDelete', params);
    }
    /**
     * 详情
     * @param {*} params
     */
    static detail(params) {
        return Request.getAndLoadData('/portalAppLinkCategory/detail', params);
    }
}